org.apache.cxf.configuration.spring

## Class AbstractBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser
  Direct Known Subclasses:
    AbstractFactoryBeanDefinitionParser, BusDefinitionParser, SimpleBeanDefinitionParser

      public abstract class AbstractBeanDefinitionParser
      extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `protected boolean` | `hasBus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WIRE_BUS_ATTRIBUTE`
    `static String` | `WIRE_BUS_CREATE`
    `static String` | `WIRE_BUS_HANDLER`
    `static String` | `WIRE_BUS_NAME`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBeanDefinitionParser()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, BusWiringType type)`
    `protected void` | `addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, BusWiringType type, String busName, org.springframework.beans.factory.xml.ParserContext ctx)`
    `protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `Class<?>` | `getBeanClass()`
    `protected Class<?>` | `getBeanClass(Element e)`
    `protected Element` | `getFirstChild(Element element)`
    `protected String` | `getIdOrName(Element elem)`
    `protected String` | `getJaxbPackage()`
    `protected String` | `getSuffix()`
    `protected boolean` | `hasBusProperty()`
    `protected boolean` | `isAttribute(String pre, String name)`
    `protected void` | `mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, Element e, String name, String val)`
    `protected void` | `mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String name, String val)`
    `protected void` | `mapElement(org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, Element e, String name)`
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `mapElementToJaxbBean(Element data, Class<?> cls, Class<?> factory, Class<?> jaxbClass, String method, Object... args)`
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `mapElementToJaxbBean(Element data, Class<?> cls, Class<?> factory, String method, Object... args)`
    `protected void` | `mapElementToJaxbProperty(Element parent, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, QName name, String propertyName)`
    `protected void` | `mapElementToJaxbProperty(Element parent, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, QName name, String propertyName, Class<?> c)`
    `protected void` | `mapElementToJaxbProperty(Element data, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String propertyName, Class<?> c)`
    `void` | `mapElementToJaxbPropertyFactory(Element data, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String propertyName, Class<?> type, Class<?> factory, String method, Object... args)`
    `protected void` | `mapToProperty(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String propertyName, String val)`
    `protected boolean` | `parseAttribute(Element element, Attr node, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `protected boolean` | `parseAttributes(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `protected void` | `parseChildElements(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean)`
    `protected QName` | `parseQName(Element element, String t)`
    `protected boolean` | `processBusAttribute(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String val)`
    `protected void` | `processNameAttribute(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String val)`
    `protected String` | `resolveId(Element elem, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext ctx)`
    `void` | `setBeanClass(Class<?> beanClass)`
    `protected void` | `setFirstChildAsProperty(Element element, org.springframework.beans.factory.xml.ParserContext ctx, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, String propertyName)`
    `protected static <T> T` | `unmarshalFactoryString(String s, JAXBContext ctx, Class<T> cls)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### hasBus

          protected boolean hasBusProperty

  - ### Field Detail

    - #### WIRE_BUS_ATTRIBUTE

          public static final String WIRE_BUS_ATTRIBUTE

    - #### WIRE_BUS_NAME

          public static final String WIRE_BUS_NAME

    - #### WIRE_BUS_CREATE

          public static final String WIRE_BUS_CREATE

    - #### WIRE_BUS_HANDLER

          public static final String WIRE_BUS_HANDLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractBeanDefinitionParser

          public AbstractBeanDefinitionParser()

  - ### Method Detail

    - #### doParse

          protected void doParse(Element element,
                                 org.springframework.beans.factory.xml.ParserContext ctx,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

      Overrides:
        `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

    - #### parseAttributes

          protected boolean parseAttributes(Element element,
                                            org.springframework.beans.factory.xml.ParserContext ctx,
                                            org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

    - #### parseAttribute

          protected boolean parseAttribute(Element element,
                                           Attr node,
                                           org.springframework.beans.factory.xml.ParserContext ctx,
                                           org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

    - #### processBusAttribute

          protected boolean processBusAttribute(Element element,
                                                org.springframework.beans.factory.xml.ParserContext ctx,
                                                org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                String val)

    - #### processNameAttribute

          protected void processNameAttribute(Element element,
                                              org.springframework.beans.factory.xml.ParserContext ctx,
                                              org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                              String val)

    - #### parseChildElements

          protected void parseChildElements(Element element,
                                            org.springframework.beans.factory.xml.ParserContext ctx,
                                            org.springframework.beans.factory.support.BeanDefinitionBuilder bean)

    - #### getBeanClass

          public Class<?> getBeanClass()

    - #### setBeanClass

          public void setBeanClass(Class<?> beanClass)

    - #### getBeanClass

          protected Class<?> getBeanClass(Element e)

      Overrides:
        `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

    - #### mapAttribute

          protected void mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                      Element e,
                                      String name,
                                      String val)

    - #### mapAttribute

          protected void mapAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                      String name,
                                      String val)

    - #### mapElement

          protected void mapElement(org.springframework.beans.factory.xml.ParserContext ctx,
                                    org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                    Element e,
                                    String name)

    - #### resolveId

          protected String resolveId(Element elem,
                                     org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                                     org.springframework.beans.factory.xml.ParserContext ctx)
                              throws org.springframework.beans.factory.BeanDefinitionStoreException

      Overrides:
        `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`
      Throws:
        `org.springframework.beans.factory.BeanDefinitionStoreException`

    - #### hasBusProperty

          protected boolean hasBusProperty()

    - #### getSuffix

          protected String getSuffix()

    - #### setFirstChildAsProperty

          protected void setFirstChildAsProperty(Element element,
                                                 org.springframework.beans.factory.xml.ParserContext ctx,
                                                 org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                 String propertyName)

    - #### getFirstChild

          protected Element getFirstChild(Element element)

    - #### addBusWiringAttribute

          protected void addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                               BusWiringType type)

    - #### addBusWiringAttribute

          protected void addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                               BusWiringType type,
                                               String busName,
                                               org.springframework.beans.factory.xml.ParserContext ctx)

    - #### mapElementToJaxbProperty

          protected void mapElementToJaxbProperty(Element parent,
                                                  org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                  QName name,
                                                  String propertyName)

    - #### mapElementToJaxbProperty

          protected void mapElementToJaxbProperty(Element parent,
                                                  org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                  QName name,
                                                  String propertyName,
                                                  Class<?> c)

    - #### mapElementToJaxbProperty

          protected void mapElementToJaxbProperty(Element data,
                                                  org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                  String propertyName,
                                                  Class<?> c)

    - #### mapElementToJaxbPropertyFactory

          public void mapElementToJaxbPropertyFactory(Element data,
                                                      org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                                      String propertyName,
                                                      Class<?> type,
                                                      Class<?> factory,
                                                      String method,
                                                      Object... args)

    - #### mapElementToJaxbBean

          public org.springframework.beans.factory.support.AbstractBeanDefinition mapElementToJaxbBean(Element data,
                                                                                                       Class<?> cls,
                                                                                                       Class<?> factory,
                                                                                                       String method,
                                                                                                       Object... args)

    - #### mapElementToJaxbBean

          public org.springframework.beans.factory.support.AbstractBeanDefinition mapElementToJaxbBean(Element data,
                                                                                                       Class<?> cls,
                                                                                                       Class<?> factory,
                                                                                                       Class<?> jaxbClass,
                                                                                                       String method,
                                                                                                       Object... args)

    - #### unmarshalFactoryString

          protected static <T> T unmarshalFactoryString(String s,
                                                        JAXBContext ctx,
                                                        Class<T> cls)

    - #### getJaxbPackage

          protected String getJaxbPackage()

    - #### mapToProperty

          protected void mapToProperty(org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                       String propertyName,
                                       String val)

    - #### isAttribute

          protected boolean isAttribute(String pre,
                                        String name)

    - #### parseQName

          protected QName parseQName(Element element,
                                     String t)

    - #### getIdOrName

          protected String getIdOrName(Element elem)

Apache CXF